%diffusion coefficients
set(0,                           ...
   'defaultaxesfontsize', 20,   ...
   'defaultaxeslinewidth', 1.0, ...
   'defaultlinelinewidth', 1.2, ...
   'defaultpatchlinewidth', 0.7);

A = [ 1 ,4.5e-5;
32,2.1e-5;
48,1.92e-5;
 192,6.60e-6;
 5734,2.10e-6;
 1337,1.14e-6;
 16900,5.1e-7;
 66500,6.03e-7;
 64500,6.9e-7;
 247500,4.1e-7;
 482700,3.46e-7;
 330000,1.97e-7;
 524800,1.05e-7;
 40590000,5.3e-8];

x = log10(A(:,1));
y = log10(A(:,2));
p = polyfit(x,y,1)
Y = polyval(p,x);

figure(1)
plot(x,y,'o',x,Y,'--','linewidth',2)
xlabel('Log_{10}(molecular weight)')
ylabel('Log_{10}(Diffusion coefficient)')
